Version Number Mismatch - Invalid Version

If you have a message on your RBS Server's screen indicating:

(Invalid Version) Version number mismatch found. Contact Remote Backup Systems immediately

this indicates that you have upgraded your RBS Server with an unapproved download. To resolve this problem, log into the Partner's Portal at and download your RBS Server upgrade from there. This is the ONLY approved location for RBackup Upgrades. Any other will cause this failure.

If you have more than one serial number, you must download the upgrade for each serial number separately.

If your Maintenance Subscription has expired you will not have access to the Partner's Portal, and you no longer qualify for upgrades.

Some people with expired Maintenance attempt to upgrade from one of our evaluation version downloads, or from a download they acquire from an unapproved source. Both of these methods will fail. We're sorry if this happens to you. The only fix for it is to downgrade all your Endpoints and Server back to the version you are approved to run.

RBS can give you a link to your older version, if you don't have it any longer. Just contact us and we will send it to you.

You are ALWAYS authorized to download the version that you had installed at the time of your Maintenance expiration - the last version you downloaded. We truly wish we could provide the latest versions to all our customers regardless the condition of your Maintenance Subscription, but that would rob us of our ability to pay our developers to produce new upgrades.

Thank you for your understanding. Contact us if you need a link to an older version. You can file a support case at


(0 vote(s))
This article was helpful
This article was not helpful

Comments (0)
Post a new comment
Full Name:
Online Backup Software by Remote Backup Systems fusion